## org.apache.lucene.search.suggest
Class BufferingTermFreqIteratorWrapper

    java.lang.Object
      org.apache.lucene.search.suggest.BufferingTermFreqIteratorWrapper

All Implemented Interfaces:
  Iterator<String>, TermFreqIterator

Direct Known Subclasses:
  SortedTermFreqIteratorWrapper, UnsortedTermFreqIteratorWrapper

    public class BufferingTermFreqIteratorWrapper

extends Object
implements TermFreqIterator

This wrapper buffers incoming elements.

Nested Class Summary
`static class` `BufferingTermFreqIteratorWrapper.Entry` Entry in the buffer.

Nested classes/interfaces inherited from interface org.apache.lucene.search.spell.TermFreqIterator
`TermFreqIterator.TermFreqIteratorWrapper`

Field Summary
`protected BufferingTermFreqIteratorWrapper.Entry` `curEntry`
`protected int` `curPos`
`protected ArrayList<BufferingTermFreqIteratorWrapper.Entry>` `entries`

Constructor Summary
`BufferingTermFreqIteratorWrapper(TermFreqIterator source)`

Method Summary
`List<BufferingTermFreqIteratorWrapper.Entry>` `entries()`
`float` `freq()`
`boolean` `hasNext()`
`String` `next()`
`void` `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### entries

    protected ArrayList<BufferingTermFreqIteratorWrapper.Entry> entries

### curPos

    protected int curPos

### curEntry

    protected BufferingTermFreqIteratorWrapper.Entry curEntry

Constructor Detail

### BufferingTermFreqIteratorWrapper

    public BufferingTermFreqIteratorWrapper(TermFreqIterator source)

Method Detail

### freq

    public float freq()

  Specified by:
    `freq` in interface `TermFreqIterator`

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator<String>`

### next

    public String next()

  Specified by:
    `next` in interface `Iterator<String>`

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator<String>`

### entries

    public List<BufferingTermFreqIteratorWrapper.Entry> entries()

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.